<?php

declare(strict_types=1);

namespace Inpsyde\MultilingualPress\Framework\Service;

/**
 * Interface for all service provider implementations to be used for dependency management.
 */
interface ServiceProvider
{
    /**
     * Registers the provided services on the given container.
     *
     * @param Container $container
     */
    public function register(Container $container);
}
